// swift-tools-version:5.5
import PackageDescription

let package = Package(
    name: "Caps-Server",
    platforms: [
       .macOS(.v12)
    ],
    dependencies: [
        .package(url: "https://github.com/vapor/vapor", from: "4.0.0"),
        .package(url: "https://github.com/christophhagen/Clairvoyant", from: "0.11.2"),
        .package(url: "https://github.com/christophhagen/ClairvoyantVapor", from: "0.4.0"),
        .package(url: "https://github.com/christophhagen/ClairvoyantBinaryCodable", from: "0.3.0"),
    ],
    targets: [
        .executableTarget(
            name: "App",
            dependencies: [
                .product(name: "Vapor", package: "vapor"),
                .product(name: "Clairvoyant", package: "Clairvoyant"),
                .product(name: "ClairvoyantVapor", package: "ClairvoyantVapor"),
                .product(name: "ClairvoyantBinaryCodable", package: "ClairvoyantBinaryCodable"),
            ]
        )
    ]
)

